package ch.usi.inf.sp.callgraph.renderer;

import ch.usi.inf.sp.callgraph.Method;

import java.util.Arrays;
import java.util.Map;
import java.util.stream.Collectors;

public interface DotNode {
    static String recordSplit(String... elements) {
        return Arrays.stream(elements).collect(Collectors.joining("|", "{", "}"));
    }

    Map<String, String> getProperties();
}
